/* used as a border of large controls (like grids, diagram) */
/* used as a background below a page in richedit/diagram */
/* used as a border of large controls (like grids, diagram) */
/* used as a background below a page in richedit/diagram */
/* used as a border of large controls (like grids, diagram) */
/* used as a background below a page in richedit/diagram */
.dxcvCard_cc .dxflGroupBoxCaption_cc
{
    background-color: #D5E6FC;
}
.dxcvPopupEditForm_cc .dxflGroupBoxCaption_cc
{
    background-color: white;
}
.dxcvCard_cc .dxflPCSys .dxflGroupBoxCaption_cc,
.dxcvPopupEditForm_cc .dxflPCSys .dxflGroupBoxCaption_cc
{
    background-color: #DDECFE;
}
.dxcvControl_cc,
.dxcvDisabled_cc
{
    border: 1px solid #4f93e3;
    font: 12px Tahoma, Geneva, sans-serif;
    background-color: White;
    color: Black;
    cursor: default;
}
.dxcvDisabled_cc
{
    color: Gray;
}
.dxcvControl_cc a
{
    color: black;
}
.dxcvDisabled_cc a
{
    color: Gray;
}
.dxcvLoadingPanelStatusBar_cc .dxlp-loadingImage
{
    background-image: url('cvLoadingOnStatusBar.gif');
    height: 18px;
    width: 18px;
}
.dxcvLoadingPanel_cc
{
    font: 12px Tahoma, Geneva, sans-serif;
    color: #4B77B8;
    border: 1px solid #4f93e3;
    background-color: White;
}
.dxcvLoadingPanel_cc td.dx
{
    white-space: nowrap;
    text-align: center;
    padding: 12px;
}
.dxcvLoadingPanel_cc .dxlp-loadingImage
{
    background-image: url('../Web/Loading.gif');
    height: 18px;
    width: 18px;
}
.dxcvFilterPopupWindow_cc
{
    color: Black;
    border: 1px solid #3a609b;
}
.dxcvFilterPopupItemsArea_cc
{
    color: Black;
    background-color: White;
}
.dxcvFilterPopupButtonPanel_cc
{
    background-color: #cce2fc;
    border: 1px solid #dcdcdc;
    border-left: 0px solid #dcdcdc;
    color: Black;
}
.dxcvFilterPopupItem_cc td.dxcv,
.dxcvFilterPopupActiveItem_cc td.dxcv,
.dxcvFilterPopupSelectedItem_cc td.dxcv
{
    padding: 3px 2px 4px 3px;
    border-left: 1px solid White;
    border-bottom: 1px solid White;
    border-right: 1px solid White;
    cursor: default;
    white-space: nowrap;
}
.dxcvFilterPopupActiveItem_cc
{
    background: #cce2fc none;
    color: Black;
}
.dxcvFilterPopupSelectedItem_cc
{
    background: #ffc076 none;
    color: Black;
}
.dxcvTable_cc
{
    background-color: White;
    border-width: 0;
    border-collapse: separate !important;
    overflow: hidden;
    padding: 20px;
}
.dxcvHeader_cc
{
    cursor: pointer;
    white-space: nowrap;
    padding: 4px 6px 5px;
    border: 1px solid #4f93e3;
    background: #94b6e8 url('cvGradient.gif') repeat-x center top;
    overflow: hidden;
    font-weight: normal;
    text-align: left;
}
.dxcvHeader_cc,
.dxcvHeader_cc table
{
    color: Black;
}
.dxcvHeader_cc td
{
    white-space: nowrap;
}
.dxcvHeader_cc a.dxcvCommandItem_cc
{
    margin: 0 3px 0 0;
}
.dxcvHeader_cc .dxbButton_cc[class~="dxcvCommandItem_cc"]
{
    margin: 0px 2px -1px 2px;
}
.dxcvCustomization_cc,
.dxcvPopupEditForm_cc
{
    padding: 0;
    margin: 0;
}
.dxcvPagerTopPanel_cc
{
    border-bottom: 1px solid #4F93E3;
}
.dxcvPagerBottomPanel_cc
{
    border-top: 1px solid #4F93E3;
}
.dxcvControl_cc .dxctToolbar_cc.dxm-main.dxcvCTTop
{
    border-bottom: 1px solid #4F93E3;
}
.dxcvControl_cc .dxctToolbar_cc.dxm-main.dxcvCTBottom
{
    border-top: 1px solid #4F93E3;
}
.dxcvTitlePanel_cc,
.dxcvTable_cc caption
{
    color: White;
    font-weight: bold;
    padding: 3px;
    text-align: center;
    border-bottom: 1px solid #4f93e3;
    background: #0f439d url('cvTitleBack.gif') repeat-x center top;
}
.dxcvLoadingDiv_cc
{
    background-color: Gray;
    opacity: 0.01;
    filter: progid:DXImageTransform.Microsoft.Alpha(Style=0, Opacity=1);
}
.dxcvStatusBar_cc
{
    border-top: 1px solid #4f93e3;
}
.dxcvStatusBar_cc tr.dxcv
{
    height: 20px;
}
.dxcvStatusBar_cc tr.dxcv > td
{
    padding: 4px;
}
.dxcvStatusBar_cc tr.dxcv span .dxbButtonSys:first-child
{
    margin-left: 2px;
}
.dxbButton_cc[class~="dxcvCommandItem_cc"]
{
    margin: 1px 2px -2px 2px;
}
.dxbButton_cc[class~="dxcvCommandItem_cc"] .dxb
{
    padding-top: 0;
    padding-bottom: 0;
}
.dxcvFilterBar_cc
{
    border-top: 1px solid #4f93e3;
    background-color: #A8C5F5;
}
.dxcvFilterBar_cc a
{
    color: black;
    text-decoration: underline;
}
.dxcvFilterBarCheckBoxCell_cc
{
    padding: 0 7px 0 3px;
}
.dxcvFilterBarImageCell_cc
{
    padding: 0 1px 0 3px;
    cursor: pointer;
}
.dxcvFilterBarExpressionCell_cc
{
    padding: 5px 5px 8px 0;
    white-space: nowrap;
}
.dxcvFilterBarClearButtonCell_cc
{
    padding: 5px 6px 8px;
}
.dxcvFilterBuilderMainArea_cc
{
    background: white none;
    padding: 6px 2px;
}
.dxcvFilterBuilderButtonArea_cc
{
    background-color: #CFE1F9;
    border-top: 1px solid #7BA4E0;
    padding: 6px;
    white-space: nowrap;
}
.dxcvControl_cc div[id$='DXEPLPC']
{
    height: 43px;
}
.dxcvControl_cc .dxcvHFSD
{
    height: 1px;
    margin: 2px 0;
}
.dxcvControl_cc .dxcvHFDRC
{
    margin: 15px 15px 25px;
}
.dxcvControl_cc .dxcvHFDRP
{
    margin-left: 15px;
    margin-right: 15px;
    padding: 9px 0 6px;
}
.dxcvControl_cc .dxcvHFDRP[id*="HFFDE"]
{
    margin-top: 15px;
    margin-bottom: 5px;
}
.dxcvControl_cc .dxcvHFDRP[id*="HFTDE"]
{
    margin-bottom: 25px;
}
/* Removes flicking in iOS Safari*/
.dxcvTable_cc
{
    -webkit-tap-highlight-color: transparent;
}
.dxcvSearchPanel_cc
{
    background: #a4c6f8;
    padding: 7px 4px 7px 6px;
    border-bottom: 1px solid #4f93e3;
}
.dxcvSearchPanel_cc > table
{
    width: 70%;
    max-width: 450px;
}
.dxcvControl_cc .dxcvSearchPanel_cc .dxbButton_cc
{
    margin-left: 7px;
    margin-right: 0;
}
*[dir="rtl"].dxcvControl_cc .dxcvSearchPanel_cc .dxbButton_cc
{
    margin-left: 0;
    margin-right: 7px;
}
.dxcvControl_cc .dxcvHL
{
    background: #ffd83a;
    color: #333333;
    font-weight: bold;
    font-style: normal;
}
/* TODO remove (replace to command button style) */
.dxcvControl_cc .dxcvSearchPanel_cc .dxbButton_cc
{
    font-size: 0.9em;
    margin-top: -2px;
    margin-bottom: -2px;
}
.dxcvControl_cc .dxcvSearchPanel_cc .dxbButton_cc .dxb
{
    padding-top: 0;
    padding-bottom: 0;
}
.dxcvCard_cc,
.dxcvBreakpointsCard_cc,
.dxcvFlowCard_cc,
.dxcvEmptyCard_cc,
.dxcvEmptyHiddenCard_cc
{
    width: 250px;
    height: 180px;
    vertical-align: top;
}
.dxcvCard_cc,
.dxcvBreakpointsCard_cc,
.dxcvFlowCard_cc,
.dxcvEmptyCard_cc
{
    border: 1px solid #4F93E3;
    background-color: #D5E6FC;
    color: #262626;
    outline: none;
}
.dxcvEmptyCard_cc
{
    text-align: center;
    vertical-align: middle;
}
.dxcvEmptyHiddenCard_cc
{
    border: 1px solid transparent;
    background-color: transparent;
}
.dxcvGroupRow_cc
{
    padding-bottom: 2px;
    font-weight: bold;
}
.dxcvGroupRow_cc .dxcvGRB
{
    display: inline-block;
    margin-right: 10px;
    position: relative;
    top: 2px;
}
.dxcvGroupRow_cc,
.dxcvFlowCard_cc,
.dxcvBreakpointsCard_cc,
div.dxcvEmptyCard_cc
{
    margin: 20px 0 0 20px;
    overflow: hidden;
}
@media (max-width: 640px)
{
    .dxcvControl_cc .dxcvTable_cc.dxcvBPT
    {
        padding: 0 8px 8px 0;
    }
    .dxcvBPT .dxcvBreakpointsCard_cc
    {
        margin: 8px 0 0 8px;
    }
}
.dxcvFlowCard_cc,
div.dxcvEmptyCard_cc
{
    display: inline-block;
}
.dxcvBreakpointsCard_cc
{
    width: auto;
    display: block;
}
.dxcvSelectedCard_cc,
.dxcvFocusedCard_cc
{
    border-color: #D9A364;
    outline: 3px solid #FFC076;
}
.dxcvFocusedCard_cc
{
    background-color: White;
}
.dxcvCardHover_cc
{
    border-color: #4F93E3;
    outline: 3px solid #CCE2FC;
}
.dxcvCard_cc .dxflCaption_cc,
.dxcvBreakpointsCard_cc .dxflCaption_cc,
.dxcvFlowCard_cc .dxflCaption_cc
{
    color: #7F7F7F;
}
.dxcvCard_cc .dxflViewFormLayoutSys .dxflCommandItemSys,
.dxcvBreakpointsCard_cc .dxflViewFormLayoutSys .dxflCommandItemSys,
.dxcvFlowCard_cc .dxflViewFormLayoutSys .dxflCommandItemSys
{
    padding-top: 2px;
    padding-bottom: 2px;
}
.dxcvCard_cc .dxflViewFormLayoutSys
{
    color: inherit;
}
.dxcvHeaderPanel_cc
{
    background: #a4c6f8;
    border-bottom: 1px solid #4F93E3;
    padding: 2px 20px 8px 20px;
}
.dxcvHeaderPanel_cc .dxcvHPGSC
{
    float: right;
    margin-top: 11px;
}
div.dxcvHeader_cc
{
    display: inline-block;
    margin-right: 10px;
    margin-top: 8px;
}
.dxcvSummaryPanel_cc
{
    background: #94B6E8;
    border-top: 1px solid #4F93E3;
    padding: 8px 21px;
}
.dxcvSummaryItem_cc
{
    display: inline-block;
    margin: 5px 8px 5px 0;
}
.dxcvControl_cc .dxcvSeparator_cc,
.dxcvControl_cc .dxcvSeparator_cc div
{
    width: 20px;
    height: 20px;
}
.dxcvControl_cc td.dxcvBatchEditCell_cc
{
    padding: 0;
    outline-width: 0 !important;
}
.dxcvControl_cc .dxcvBatchEditModifiedCell_cc
{
    background: #d7f9c7;
    outline-style: solid;
    outline-color: #d7f9c7;
    outline-width: 2px;
}
.dxcvBatchEditDeletedItem_cc,
.dxcvBatchEditDeletedItem_cc.dxcvBatchEditNewItem_cc
{
    background: #F8F8F8;
}
.dxcvBatchEditDeletedItem_cc td:not(.dxcvCommandColumn_cc),
.dxcvControl_cc .dxcvBatchEditDeletedItem_cc .dxflCaptionCell_cc .dxflCaption_cc
{
    color: rgba(0,0,0,0.5) !important;
}
.dxcvBatchEditDeletedItem_cc td.dxcvBatchEditModifiedCell_cc
{
    background-color: #eefbe7;
    outline-style: none;
}
.dxcvBatchEditNewItem_cc
{
    background: #F0FAEA;
}
.dxcvControl_cc .dxcvErrorCell
{
    padding-left: 5px;
    width: 1px;
}
.dxcvControl_cc .dxcvErrorCell img
{
    margin: -3px 0;
}
.dxcvStatusBar_cc .dxbButton_cc
{
    margin-right: 10px;
}
.dxcvControl_cc td.dxcvBatchEditCell_cc .dxichCellSys
{
    padding-left: 0;
}
.dxcvControl_cc .dxcvEMBC
{
    background: white;
    text-align: center;
    padding: 20px;
    margin-top: -20px;
}
.dxcvCardError_cc
{
    background-color: #FE9552;
    border-top: 1px solid #4F93E3;
    color: #FFFFFF;
    font-weight: bold;
    padding: 6px 13px;
}
.dxcvFocusedCell_cc
{
    box-shadow: inset 2px 2px 0 #2292B1, inset -2px -2px 0 #2292B1;
    -webkit-box-shadow: inset 2px 2px 0 #2292B1, inset -2px -2px 0 #2292B1;
    -moz-box-shadow: inset 2px 2px 0 #2292B1, inset -2px -2px 0 #2292B1;
}
.dxcvFocusedCell_cc .dxcvBatchEditModifiedCell_cc:not(.dxcvBatchEditCell_cc)
{
    outline: none;
    box-shadow: 1px 1px 0 #d7f9c7, 1px 0px 0 #d7f9c7;
    -webkit-box-shadow: 1px 1px 0 #d7f9c7, 1px 0px 0 #d7f9c7;
    -moz-box-shadow: 1px 1px 0 #d7f9c7, 1px 0px 0 #d7f9c7;
}
